aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTom Ryder <tom@sanctum.geek.nz>2018-12-27 00:06:28 +1300
committerTom Ryder <tom@sanctum.geek.nz>2018-12-27 00:06:28 +1300
commit5d0dab95dfcccdbf1b81be344e38264bb19d7f9c (patch)
tree7c78c48502b210f915f7105f65c978ee65c10096
parentBreak up some long lines (diff)
downloaddotfiles-5d0dab95dfcccdbf1b81be344e38264bb19d7f9c.tar.gz
dotfiles-5d0dab95dfcccdbf1b81be344e38264bb19d7f9c.zip
Remove some vestigial Bash 2.05 guards/comments
-rw-r--r--bin/han.bash10
-rw-r--r--readline/inputrc3
2 files changed, 4 insertions, 9 deletions
diff --git a/bin/han.bash b/bin/han.bash
index 8a289e6e..6ab0b3e7 100644
--- a/bin/han.bash
+++ b/bin/han.bash
@@ -1,14 +1,10 @@
# Abstract calls to Bash help vs man(1)
self=han
-# Ensure we're using at least version 2.05. Weird arithmetic syntax needed
-# here due to leading zeroes and trailing letters in some 2.x version numbers
-# (e.g. 2.05a).
+# Ensure we're using at least version 3.0
# shellcheck disable=SC2128
-[ -n "$BASH_VERSINFO" ] || exit
-((BASH_VERSINFO[0] == 2)) &&
- ((10#${BASH_VERSINFO[1]%%[![:digit:]]*} < 5)) &&
- exit
+[ -n "$BASH_VERSINFO" ] || exit # Check version array exists (>=2.0)
+((BASH_VERSINFO[0] >= 3)) || exit # Check actual major version number
# Figure out the options with which we can call help; Bash >=4.0 has an -m
# option which prints the help output in a man-page like format
diff --git a/readline/inputrc b/readline/inputrc
index ab9dde86..87abcd49 100644
--- a/readline/inputrc
+++ b/readline/inputrc
@@ -53,8 +53,7 @@ $if Bash
# Expand ! history with a spacebar press
# Note that this makes your shell unusable if your Bash doesn't have
- # magic-space. It's had this feature since 2.02, which is below the
- # minimum 2.05a supported by these dotfiles.
+ # magic-space. It's had this feature since 2.02.
Space: magic-space
# Tab does traditional blocking completion